import PageContainerBehavior from "../../../../core/behavior/page-container.behavior";
// module/health/pages/tongue-analysis/tongue-analysis.ts
Component({
  behaviors: [PageContainerBehavior],
  lifetimes: {
    attached() {
      this.getOpenerEventChannel().on('load', (data) => {
        console.log(data,'12-->');
        
        this.setData(data);
      })
    }
  },
  properties: {},
  data: {
    dataset: [] as AnyArray,
  },
  methods: {}
})